<?php

global $childishlysimple_add_individual_colors_to_color_scheme_array;

	// Why this file exists
	// When the option page runs (in this case function-to-create-layout.php)  options are (from what I can figure out) fetched and then re-saved using form fields
	// If files (e.g. for different home pages) are not currently included in the options page then those options can't be re-saved and so end up empty
	// There are two ways round this - using hidden fields or temporarily disabling the appropriate  register_settings  in functions.php
	// The latter option is best when there are lots of options with relatively large amounts of data e.g. HTML
	// However this means that the single array holding all the options and accessed at the frontend (and backend) only contains options valid for the current settings
	// The following adds relevant color options to the equivalent of that array purely for the purpose of outputting a universal color scheme encompassing all files currently included or not
	// That array is then matched against a placeholder array to extract the colors only
	// $childishlysimple_add_individual_colors_to_color_scheme_array	is the name of the (renamed for use here) single array accessed at the frontend and backend







// ----------------------------------  Multiple posts ---------------------------------------

	//  home_page_heading_color

	$childishlysimple01_home_page_heading_color = get_option ( 'childishlysimple01_home_page_heading_color' );
	if ( !array_key_exists( 'home_page_heading_color', $childishlysimple_add_individual_colors_to_color_scheme_array ))
	$childishlysimple_add_individual_colors_to_color_scheme_array['home_page_heading_color'] = $childishlysimple01_home_page_heading_color;







// ----------------------------------  Simple home page 01  ---------------------------------------

	//  home_simple_01_textarea_01_background_color

	$childishlysimple01_home_simple_01_textarea_01_background_color = get_option ( 'childishlysimple01_home_simple_01_textarea_01_background_color' );
	if ( !array_key_exists( 'home_simple_01_textarea_01_background_color', $childishlysimple_add_individual_colors_to_color_scheme_array ))
	$childishlysimple_add_individual_colors_to_color_scheme_array['home_simple_01_textarea_01_background_color'] = $childishlysimple01_home_simple_01_textarea_01_background_color;







	// home_simple_01_textarea_01_border_color

	$childishlysimple01_home_simple_01_textarea_01_border_color = get_option ( 'childishlysimple01_home_simple_01_textarea_01_border_color' );
	if ( !array_key_exists( 'home_simple_01_textarea_01_border_color', $childishlysimple_add_individual_colors_to_color_scheme_array ))
	$childishlysimple_add_individual_colors_to_color_scheme_array['home_simple_01_textarea_01_border_color'] = $childishlysimple01_home_simple_01_textarea_01_border_color;








// ----------------------------------  Simple home page 02  ---------------------------------------

	//  home_simple_02_textarea_01_background_color

	$childishlysimple01_home_simple_02_textarea_01_background_color = get_option ( 'childishlysimple01_home_simple_02_textarea_01_background_color' );
	if ( !array_key_exists( 'home_simple_02_textarea_01_background_color', $childishlysimple_add_individual_colors_to_color_scheme_array ))
	$childishlysimple_add_individual_colors_to_color_scheme_array['home_simple_02_textarea_01_background_color'] = $childishlysimple01_home_simple_02_textarea_01_background_color;







	// home_simple_02_textarea_01_border_color

	$childishlysimple01_home_simple_02_textarea_01_border_color = get_option ( 'childishlysimple01_home_simple_02_textarea_01_border_color' );
	if ( !array_key_exists( 'home_simple_02_textarea_01_border_color', $childishlysimple_add_individual_colors_to_color_scheme_array ))
	$childishlysimple_add_individual_colors_to_color_scheme_array['home_simple_02_textarea_01_border_color'] = $childishlysimple01_home_simple_02_textarea_01_border_color;







	//  home_simple_02_textarea_02_background_color

	$childishlysimple01_home_simple_02_textarea_02_background_color = get_option ( 'childishlysimple01_home_simple_02_textarea_02_background_color' );
	if ( !array_key_exists( 'home_simple_02_textarea_02_background_color', $childishlysimple_add_individual_colors_to_color_scheme_array ))
	$childishlysimple_add_individual_colors_to_color_scheme_array['home_simple_02_textarea_02_background_color'] = $childishlysimple01_home_simple_02_textarea_02_background_color;







	// home_simple_02_textarea_02_border_color

	$childishlysimple01_home_simple_02_textarea_02_border_color = get_option ( 'childishlysimple01_home_simple_02_textarea_02_border_color' );
	if ( !array_key_exists( 'home_simple_02_textarea_02_border_color', $childishlysimple_add_individual_colors_to_color_scheme_array ))
	$childishlysimple_add_individual_colors_to_color_scheme_array['home_simple_02_textarea_02_border_color'] = $childishlysimple01_home_simple_02_textarea_02_border_color;







	//  home_simple_02_textarea_03_background_color

	$childishlysimple01_home_simple_02_textarea_03_background_color = get_option ( 'childishlysimple01_home_simple_02_textarea_03_background_color' );
	if ( !array_key_exists( 'home_simple_02_textarea_03_background_color', $childishlysimple_add_individual_colors_to_color_scheme_array ))
	$childishlysimple_add_individual_colors_to_color_scheme_array['home_simple_02_textarea_03_background_color'] = $childishlysimple01_home_simple_02_textarea_03_background_color;







	// home_simple_02_textarea_03_border_color

	$childishlysimple01_home_simple_02_textarea_03_border_color = get_option ( 'childishlysimple01_home_simple_02_textarea_03_border_color' );
	if ( !array_key_exists( 'home_simple_02_textarea_03_border_color', $childishlysimple_add_individual_colors_to_color_scheme_array ))
	$childishlysimple_add_individual_colors_to_color_scheme_array['home_simple_02_textarea_03_border_color'] = $childishlysimple01_home_simple_02_textarea_03_border_color;







	//  home_simple_02_textarea_04_background_color

	$childishlysimple01_home_simple_02_textarea_04_background_color = get_option ( 'childishlysimple01_home_simple_02_textarea_04_background_color' );
	if ( !array_key_exists( 'home_simple_02_textarea_04_background_color', $childishlysimple_add_individual_colors_to_color_scheme_array ))
	$childishlysimple_add_individual_colors_to_color_scheme_array['home_simple_02_textarea_04_background_color'] = $childishlysimple01_home_simple_02_textarea_04_background_color;







	// home_simple_02_textarea_04_border_color

	$childishlysimple01_home_simple_02_textarea_04_border_color = get_option ( 'childishlysimple01_home_simple_02_textarea_04_border_color' );
	if ( !array_key_exists( 'home_simple_02_textarea_04_border_color', $childishlysimple_add_individual_colors_to_color_scheme_array ))
	$childishlysimple_add_individual_colors_to_color_scheme_array['home_simple_02_textarea_04_border_color'] = $childishlysimple01_home_simple_02_textarea_04_border_color;







	//  home_simple_02_textarea_05_background_color

	$childishlysimple01_home_simple_02_textarea_05_background_color = get_option ( 'childishlysimple01_home_simple_02_textarea_05_background_color' );
	if ( !array_key_exists( 'home_simple_02_textarea_05_background_color', $childishlysimple_add_individual_colors_to_color_scheme_array ))
	$childishlysimple_add_individual_colors_to_color_scheme_array['home_simple_02_textarea_05_background_color'] = $childishlysimple01_home_simple_02_textarea_05_background_color;







	// home_simple_02_textarea_05_border_color

	$childishlysimple01_home_simple_02_textarea_05_border_color = get_option ( 'childishlysimple01_home_simple_02_textarea_05_border_color' );
	if ( !array_key_exists( 'home_simple_02_textarea_05_border_color', $childishlysimple_add_individual_colors_to_color_scheme_array ))
	$childishlysimple_add_individual_colors_to_color_scheme_array['home_simple_02_textarea_05_border_color'] = $childishlysimple01_home_simple_02_textarea_05_border_color;




?>