<?php /*
Template Name: Woocommerce without sidebars (for T&C and Change Password)
*/ ?>



<?php  /*
Woocommerce will automatically use woocommerce.php for the shop page, the single product page and the taxonomy page. You CANNOT use any other Page template for those pages. 

Other pages in Woocommerce (e.g. checkout, cart, account) CAN use different Page templates e.g. 'Page without sidebars'. They are automatically given various Woocommerce body classes that allow them to be styled. However there are two further pages (Terms and Conditions and Change Password) that are NOT automatically given Woocommerce body classes. For such Pages use the Woocommerce Page templates e.g. 'Woocommerce without sidebars (for T&C and Change Password)' or 'Woocommerce with sidebars (for T&C and Change Password)'
*/ ?>




<?php get_template_part( 'doctype' ); ?> 




<!-- page-woocommerce-without-sidebars.php-->




<?php $childishlysimple_file_name='post-woocommerce-without-sidebars'; //	Used in     post_class();  ?>




<?php get_header( ); ?>




<div class="content content-page content-page-without-sidebars content-woocommerce-without-sidebars">




<div class="header-container header-container-page header-container-page-without-sidebars header-woocommerce-without-sidebars">

</div><!-- End header-container  header-container-page-without-sidebars header-woocommerce-without-sidebars -->




<?php  if ( have_posts( ) ) : while ( have_posts( ) ) : the_post( ); /****	The start of the loop ****/	?>




<div <?php post_class( $childishlysimple_file_name );?>>




<h1 class="page-title page-title-woocommerce-without-sidebars"><?php the_title_attribute( );?></h1>




<div class="entry entry-page entry-page-without-sidebars entry-woocommerce-without-sidebars">




<?php the_content( ); ?>




</div> <!--Close entry entry-page-without-sidebars entry-woocommerce-without-sidebars -->







<?php 
     $childishlysimple_args = array(
   	  'before'           => '<div class="post-links"><p class="post-links">',	
 	   'after'            => '</p></div>',								
  	  'link_before'      => '<span class="post-links">',					
  	  'link_after'       => '</span>',								
 	  'next_or_number'   => 'number',
  	  'nextpagelink'     => 'Next page',						
  	  'previouspagelink' => 'Previous page',						
  	  'pagelink'         => '%',					
  	  'more_file'        => '' ,					
  	  'echo'             => 1 ); 	


 		wp_link_pages( $childishlysimple_args ); 	/****	http://codex.wordpress.org/Function_Reference/wp_link_pages ****/ 
?>
 






<?php edit_post_link( 'Edit this page', '<p class="edit-post">', '</p>' ); ?>




</div><!--Close  post htentry  etc. -->  




<?php endwhile; ?>




<?php comments_template( '', true ); ?>




<?php else :  ?>




<?php get_search_form( );  ?> 




<?php endif;  ?>




<?php wp_reset_query( );?>




</div><!--End content-page-without-sidebars content-woocommerce-without-sidebars -->




<?php get_footer( ); ?>




</body>
</html>