<?php /*  This is woocommerce.php  

Woocommerce will automatically use woocommerce.php for the shop page, the single product page and the taxonomy page. You CANNOT use any other Page template for those pages. This template woocommerce.php  has sidebars. Paste the contents of woocommerce-without-sidebars.php into here if you don't want sidebars.

Other pages in Woocommerce (e.g. checkout, cart, account) CAN use different Page templates e.g. 'Page without sidebars'. They are automatically given various Woocommerce body classes that allow them to be styled. However there are two further pages (Terms and Conditions and Cancelled Orders) that are NOT automatically given Woocommerce body classes. For such Pages use the Woocommerce Page templates e.g. 'Woocommerce without sidebars (for T&C and cancelled orders)'
*/?>




<?php get_template_part( 'doctype' ); ?> 




<!-- woocommerce.php (with sidebars)  -->




<?php get_header( ); ?>







<?php				

	if (is_front_page()) {




		if ( isset (  $childishlysimple_frontend_details['home_page_sidebars_yes_or_no']  )) {

			if( array_key_exists ( 'home_page_sidebars', $childishlysimple_frontend_details['home_page_sidebars_yes_or_no'] ) ) { 

			if (( $childishlysimple_frontend_details['site_layout']=='two_col_cont_right' ) || ( $childishlysimple_frontend_details['site_layout']=='three_col_cont_middle' )  || ( $childishlysimple_frontend_details['site_layout']=='three_col_cont_right' )) get_sidebar( 'left' );

			if ( $childishlysimple_frontend_details['site_layout']=='three_col_cont_right' ) get_sidebar( 'right' );
	
			echo "\n\n\n\n\n\n\n" . '<div class="content woocommerce-content woocommerce-content-with-sidebars">' . "\n\n\n";
}
}




} else { 




				if (( $childishlysimple_frontend_details['site_layout']=='two_col_cont_right' ) || ( $childishlysimple_frontend_details['site_layout']=='three_col_cont_middle' )  || ( $childishlysimple_frontend_details['site_layout']=='three_col_cont_right' )) get_sidebar( 'left' );

			if ( $childishlysimple_frontend_details['site_layout']=='three_col_cont_right' ) get_sidebar( 'right' );
	
			echo "\n\n\n\n\n\n\n" . '<div class="content woocommerce-content woocommerce-content-with-sidebars">' . "\n\n\n";



}
?>







<?php /*
<div class="header-container  woocommerce-header-container woo-commerce-header-container-with-sidebars">

</div><!-- End header-container woocommerce-header-container woo-commerce-header-container-with-sidebars -->
*/ ?>




<div class="woocommerce-inner-content woocommerce-inner-content-with-sidebars">
<?php woocommerce_content(); ?>
</div><!-- end   woocommerce-inner-content woocommerce-inner-content-with-sidebars -->




<?php wp_reset_query( );?>







<?php

	if (is_front_page()) {




		if ( isset (  $childishlysimple_frontend_details['home_page_sidebars_yes_or_no']  )) {

			if( array_key_exists ( 'home_page_sidebars', $childishlysimple_frontend_details['home_page_sidebars_yes_or_no'] ) ) { 

				echo '</div><!-- end content woocommerce-content woocommerce-content-with-sidebars -->' . "\n\n\n\n\n";

				if (( $childishlysimple_frontend_details['site_layout']=='three_col_cont_left' ) ) get_sidebar( 'left' );

				if (( $childishlysimple_frontend_details['site_layout']=='two_col_cont_left' ) || ( $childishlysimple_frontend_details['site_layout']== 'three_col_cont_left' ) || ( $childishlysimple_frontend_details['site_layout']== 'three_col_cont_middle' ) ) get_sidebar( 'right' );
}
}




} else {



				echo '</div><!-- end content woocommerce-content woocommerce-content-with-sidebars -->' . "\n\n\n\n\n";

				if (( $childishlysimple_frontend_details['site_layout']=='three_col_cont_left' ) ) get_sidebar( 'left' );

				if (( $childishlysimple_frontend_details['site_layout']=='two_col_cont_left' ) || ( $childishlysimple_frontend_details['site_layout']== 'three_col_cont_left' ) || ( $childishlysimple_frontend_details['site_layout']== 'three_col_cont_middle' ) ) get_sidebar( 'right' );




}
?>







<?php get_footer( ); ?>




</body>
</html>