<?php
//  Although a multi-dimensional array would have been a much cleaner coding solution it's crippling in terms of usability
//  With the following method individual font sizes and font families can be be extracted and placed around the options page as the theme developes

// Most of these global variables are due to get_template_part
global $childishlysimple_backend_details;
global $childishlysimple_minor_errors;
global $childishlysimple_error_hr;
?>




<?php /*
http://stackoverflow.com/questions/17139453/php-accessing-multidimensional-array-values
http://webcheatsheet.com/php/multidimensional_arrays.php
http://forums.phpfreaks.com/topic/130284-help-needed-setting-up-foreach-with-multiple-arrays/
*/?>




<div class="anchor-spacer" id="fonts">&nbsp;</div>
<div class = "options-container options-container-fonts accordion">
	<h3 class="layout fonts">Fonts</h3>



		<div class=" inner-options-container inner-fonts">



<p class="options-help fonts-help">Change your font size and font family for everything except menus. Font sizes are in 'rems'. A 'rem' is a proportionate unit and using rems allows you to maintain a proportional relationship between different elements of a website, useful in responsive design (designing a web page for a small phone AND a large PC screen). As a starting point 1rem = 16px and 1.5rem = 24px. <a class="options-link" href="http://www.alchemweb.co.uk/adding-fonts-to-your-website/">Article about fonts and adding Google fonts</a> and a <a class="options-link" href="http://www.w3schools.com/cssref/css_websafe_fonts.asp">list of web-safe fonts</a> (fonts that most browsers such as Firefox, Internet Explorer, Chrome, Opera or Safari will recognise). For font size enter numbers only to no more than 2 decimal places e.g. 1.2, 2.45 etc. For font families enter comma-separated lists of font families e.g. "Comic Sans MS", cursive, sans-serif (though you can just enter one font if you wish e.g. "Comic Sans MS". If your font has spaces in its name then surround the font with double quotation marks.
</p>




<p class="website-fonts-description website-fonts-description-size-and-family">Font size, decimals allowed (0-99.99) &nbsp; &nbsp; Font family</p>




<?php // -------------------------------------------------------------   Change all font sizes
	$change_everything_font_size_rem_default ='';	
	$change_everything_font_size_rem_option ='childishlysimple01_change_everything_font_size_rem';
	$change_everything_font_size_rem_option_label = 'Change everything';
	$change_everything_font_size_rem_option_id = "change_everything_font_size_rem"; 

	add_option( "$change_everything_font_size_rem_option", "$change_everything_font_size_rem_default" ); 
	$change_everything_font_size_rem = get_option( "$change_everything_font_size_rem_option" );

		$allowed_html = array();
		$change_everything_font_size_rem = wp_kses($change_everything_font_size_rem, $allowed_html); 
		$change_everything_font_size_rem = esc_attr( $change_everything_font_size_rem);			

		$change_everything_font_size_rem_error = '';
		$is_decimal = preg_match('/^\s*(   | \d{1,2}\.? | \d{0,2}\.\d{1,2} | \s+  )\s*$  /x', $change_everything_font_size_rem);


			if (! ($is_decimal ==1 ) ) {
				$change_everything_font_size_rem_error = 'style = "color:red;" '; 
				$childishlysimple_minor_errors = 'errors';
				$childishlysimple_error_hr ='<hr class="hr-error" />' . "\n";
				$change_everything_font_size_rem_error_message = '<span class="font-error font-size-error">Enter whole or decimal numbers to no more than two places and only up to 99.99. You entered ' . $change_everything_font_size_rem. '</span>';   
			} 


echo '<p class="font-container change_everything">'  . "\n";

echo '<label '.  $change_everything_font_size_rem_error . 'class="font-size-label change-everything-font-size-label" for="a_'.  $change_everything_font_size_rem_option_id . '">'. $change_everything_font_size_rem_option_label . '</label>' . "\n";

echo '<input ' . $change_everything_font_size_rem_error .  'class="font-size-input change-everything-font-size-input" type="text" id="a_'.  $change_everything_font_size_rem_option_id .'" name="'. $change_everything_font_size_rem_option . '" value="'. $change_everything_font_size_rem .'" />';


$childishlysimple_backend_details['change_everything_font_size_rem_number'] = $change_everything_font_size_rem; 
$childishlysimple_backend_details['change_everything_font_size_rem_number_default'] = $change_everything_font_size_rem_default; 
?>




<?php // -------------------------------------------------------------    Change all font families
	$change_everything_font_family_option='childishlysimple01_change_everything_font_family';
	$change_everything_font_family_label = '';
	$change_everything_font_family_default = ''; 
	$change_everything_font_family_id = "change_everything_font_family"; 

		add_option( "$change_everything_font_family_option", "$change_everything_font_family_default" ); 
		$change_everything_font_family = get_option( "$change_everything_font_family_option" );

			echo '<input class="font-family-input change-everything-font-family-input" type="text" id="a_'.  $change_everything_font_family_id .'" name="'. $change_everything_font_family_option . '" value="'. $change_everything_font_family .'" />'."\n";

if ( isset( $change_everything_font_size_rem_error_message ) ) echo $change_everything_font_size_rem_error_message . "\n"; 

echo '</p><!-- end  font-container -->';



						
$childishlysimple_backend_details['change_everything_font_family'] = $change_everything_font_family; 
$childishlysimple_backend_details['change_everything_font_family_default'] = $change_everything_font_family_default;

if ( ( $change_everything_font_size_rem =='' ) && ( $change_everything_font_family =='' ) ) {
	$childishlysimple_backend_details['change_everything_font_size_and_font_family'] = '';
}  elseif   ( $change_everything_font_size_rem =='' ) {
	$childishlysimple_backend_details['change_everything_font_size_and_font_family'] = '{font-family:' .  $change_everything_font_family . ';}' ."\n";	
} elseif ( $change_everything_font_family =='' )  {
	$childishlysimple_backend_details['change_everything_font_size_and_font_family'] = '{font-size:' .  floor(16 * $change_everything_font_size_rem) . 'px;font-size:' .  $change_everything_font_size_rem . 'rem;}' ."\n";	
} else {
 	$childishlysimple_backend_details['change_everything_font_size_and_font_family'] = '{font-size:' .  floor(16 * $change_everything_font_size_rem) . 'px;font-size:' .  $change_everything_font_size_rem .  'rem;font-family:' .  $change_everything_font_family . ';}' ."\n";	
}
?>




	</div><!-- end inner-fonts -->




</div><!-- end options-container options-container-fonts -->

<?php echo $childishlysimple_error_hr; ?>

<p class="mini-submit-button"> <input class="mini-submit-button" type="submit" value="Save" /> </p>   